## django-tables 2.7.0

=== debian/changelog ===
django-tables (2.7.0-2) unstable; urgency=medium

  * Team upload.
  * Remove build-dependency on python3-mock

 -- Alexandre Detiste <tchet@debian.org>  Wed, 28 Feb 2024 19:55:48 +0100

django-tables (2.7.0-1) unstable; urgency=medium

  * Team upload.
  * [84f5eb6] New upstream version 2.7.0
  * [463b63a] Rebuild patch queue from patch-queue branch
    Dropped patch:
    debian-hacks/docs-Ignore-the-myst_parser-AddOn-for-now.patch
  * [1339df7] d/control: Add python3-sphinxcontrib.jquery to B-D
  * [79f1fcf] d/control: d/control: Add python3-myst-parser to B-D
  * [9d63ab0] d/control: Depend django >= 4.2 in bin package

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 09 Dec 2023 08:47:40 +0100

django-tables (2.6.0-2) unstable; urgency=medium

  * Team upload.
  [ s3v ]
  * [52c39aa] autopkgtest: Adjust test syntax
    (Closes: #1055106)

  [ Carsten Schoenert ]
  * [707b808] d/rules: Remove potential symlink in dh_clean
    (Closes: #1044842)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 03 Nov 2023 21:12:40 +0100

=== debian/control ===
Source: django-tables
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Brian May <bam@debian.org>,
Build-Depends:
 debhelper-compat (=13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python-django-doc <!nodoc>,
 python3-django <!nocheck> <!nodoc>,
 python3-django-filters <!nocheck>,
 python3-doc <!nodoc>,
 python3-fudge <!nocheck>,
 python3-lxml <!nocheck>,
 python3-myst-parser <!nodoc>,
 python3-psycopg2 <!nocheck>,
 python3-recommonmark <!nocheck>,
 python3-sphinx <!nodoc>,
 python3-sphinx-rtd-theme <!nodoc>,
 python3-sphinxcontrib.jquery <!nodoc>,
 python3-sphinxcontrib.spelling <!nodoc>,
 python3-tablib <!nocheck> <!nodoc>,
 python3-tz <!nocheck>,
Standards-Version: 4.6.2
Homepage: https://github.com/jieter/django-tables2
Vcs-Git: https://salsa.debian.org/python-team/packages/django-tables.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/django-tables
Rules-Requires-Root: no

Package: python-django-tables2-doc
Section: doc
Architecture: all
Suggests:
 python-django-doc,
 python3-doc,
Depends:
 libjs-bootstrap,
 libjs-jquery,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Multi-Arch: foreign
Description: Table/data-grid framework for Django (Documentation)
 django-tables2 simplifies the task of turning sets of data into HTML tables. It
 has native support for pagination and sorting. It does for HTML tables what
 ``django.forms`` does for HTML forms.
 .
 This package contains the documentation.

Package: python3-django-tables2
Architecture: all
Depends:
 python3-django (>= 3:4.2~),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-django-tables2-doc,
Description: Table/data-grid framework for Django (Python 3)
 django-tables2 simplifies the task of turning sets of data into HTML tables. It
 has native support for pagination and sorting. It does for HTML tables what
 ``django.forms`` does for HTML forms.
 .
 This package provides the Python 3 module.

=== debian/tests/control ===
Test-Command: python3 -Wd manage.py test
Depends:
 python3-django,
 python3-django-filters,
 python3-fudge,
 python3-lxml,
 python3-psycopg2,
 python3-recommonmark,
 python3-tablib,
 python3-tz,
 @,
Restrictions: allow-stderr

Tests: test-run-py3
Depends:
 @,
Restrictions: allow-stderr

## django-tables 2.7.5

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = -W
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/django-tables2.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/django-tables2.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/django-tables2"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/django-tables2"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

spelling:
	$(SPHINXBUILD) -b spelling $(ALLSPHINXOPTS) $(BUILDDIR)/spelling
	@echo
	@echo "Spelling check finished, look at the results in " \
	      "$(BUILDDIR)/spelling/output.txt."

=== docs/requirements.txt ===
-r ../requirements/common.pip
Sphinx==7.2.6
sphinx_rtd_theme==1.3.0
django
sphinxcontrib-spelling==8.0.0
pyenchant==3.2.2
myst-parser==2.0.0

=== example/requirements.txt ===
-e ..
django-bootstrap3==22.2
django-bootstrap4==22.3
django-bootstrap5==22.2
django-debug-toolbar==3.8.1
django-filter==22.1
tablib==3.3.0

=== debian/changelog ===
django-tables (2.7.5-1) unstable; urgency=medium

  * Team upload.
  * [4574973] New upstream version 2.7.5
  * [11ec981] d/control: Switch to python3-hatchling
  * [83bc720] d/control: Depend on libjs-bootstrap5 in -doc package
    (Closes: #1088504)
  * [5a8dc35] d/control: Update Standards-Version to 4.7.0
    No further changes needed.
  * [eaf8512] d/control: Mark dh-sequence-sphinxdoc with nodoc
  * [115c7ae] d/copyright: Update year data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 11 Jan 2025 16:34:38 +0200

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,11 @@
 Build-Depends:
  debhelper-compat (=13),
  dh-sequence-python3,
- dh-sequence-sphinxdoc,
+ dh-sequence-sphinxdoc <!nodoc>,
  python3-all,
- python3-setuptools,
+ python3-hatchling,
 Build-Depends-Indep:
+ pybuild-plugin-pyproject,
  python-django-doc <!nodoc>,
  python3-django <!nocheck> <!nodoc>,
  python3-django-filters <!nocheck>,
@@ -26,7 +27,7 @@
  python3-sphinxcontrib.spelling <!nodoc>,
  python3-tablib <!nocheck> <!nodoc>,
  python3-tz <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/jieter/django-tables2
 Vcs-Git: https://salsa.debian.org/python-team/packages/django-tables.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/django-tables
@@ -39,7 +40,7 @@
  python-django-doc,
  python3-doc,
 Depends:
- libjs-bootstrap,
+ libjs-bootstrap5,
  libjs-jquery,
  ${misc:Depends},
  ${sphinxdoc:Depends},

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

BUILD_DATE  = $(shell LC_ALL=C date -u "+%d %B %Y" -d "@$(SOURCE_DATE_EPOCH)")
SPHINXOPTS := -E -N -D html_last_updated_fmt="$(BUILD_DATE)"

export PYBUILD_NAME=django-tables2
export PYBUILD_AFTER_INSTALL=rm -rf {destdir}/usr/lib/python*/dist-packages/django_tables2/static/django_tables2

%:
	dh $@ --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH={build_dir} \
	    python3 -m sphinx -b html $(SPHINXOPTS) docs $(CURDIR)/debian/python-django-tables2-doc/usr/share/doc/python-django-tables2-doc/html
	# docs/conf.py generates a symlink of the CHANGELOG to docs/pages/CHANGELOG
	$(RM) -r $(CURDIR)/debian/python-django-tables2-doc/usr/share/doc/python-django-tables2-doc/html/pages/CHANGELOG
	dh_sphinxdoc
endif

override_dh_installexamples:
	dh_installexamples -A -X__pycache__

override_dh_auto_clean:
	dh_auto_clean
	${RM} -r .cache django_tables2.egg-info
	${RM} docs/pages/CHANGELOG.md

override_dh_auto_test:
	dh_auto_test -- --system=custom --test-args="{interpreter} -Wd manage.py test"

## django-tables 2.8.0

=== debian/changelog ===
django-tables (2.8.0-1) unstable; urgency=medium

  * Team upload.
  * [9e99022] d/watch: Convert to version 5
  * [e9fe85a] d/gbp.conf: Small cleanup and streamlining
  * [1fa3da4] New upstream version 2.8.0
  * [5e4869d] d/control: Remove Rules-Requires-Root
    The setting of Rules-Requires-Root: no is now default.
  * [4a6e03e] d/control: Bump Standards-Version to 4.7.2
    No further changes needed.
  * [77a906b] d/control: Migrate (obsolete) python3-tz to -pytz
  * [4d5ba16] autokgtest: Depend tests also on python3-pytz

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 30 Nov 2025 11:56:38 +0200

=== debian/control ===
--- 
+++ 
@@ -20,18 +20,17 @@
  python3-lxml <!nocheck>,
  python3-myst-parser <!nodoc>,
  python3-psycopg2 <!nocheck>,
+ python3-pytz <!nocheck>,
  python3-recommonmark <!nocheck>,
  python3-sphinx <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>,
  python3-sphinxcontrib.jquery <!nodoc>,
  python3-sphinxcontrib.spelling <!nodoc>,
  python3-tablib <!nocheck> <!nodoc>,
- python3-tz <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/jieter/django-tables2
 Vcs-Git: https://salsa.debian.org/python-team/packages/django-tables.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/django-tables
-Rules-Requires-Root: no
 
 Package: python-django-tables2-doc
 Section: doc

=== debian/tests/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
  python3-fudge,
  python3-lxml,
  python3-psycopg2,
+ python3-pytz,
  python3-recommonmark,
  python3-tablib,
- python3-tz,
  @,
 Restrictions: allow-stderr

=== debian/watch ===
Version: 5

Source: https://github.com/bradleyayers/django-tables2.git
Matching-Pattern: refs/tags/@ANY_VERSION@
Compression: gz
Mode: git
Pgpmode: none
Dversion-Mangle: s/\+ds(\.?\d+)?$//
Uversion-Mangle: s/(\d)[_\.\-\+]?((alpha|beta|post|pre|dev|RC|rc)\.?\d*)$/$1~$2/
